## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global make_opts DEBUG_BUILD=1 DISABLE_RAR=1 LOCAL_FLAGS="%{optflags}" -C CPP/7zip/Bundles/Alone2/ -f makefile.gcc
 
Name:           7zip
Version:        24.09
Release:        %autorelease
Summary:        A file archiver

# from DOC/License.txt
# CPP/7zip/Compress/Rar* files: the "GNU LGPL" with "unRAR license restriction"
# => we are shipping a source tarball with this stripped
# CPP/7zip/Compress/LzfseDecoder.cpp: the "BSD 3-clause License"
# C/ZstdDec.c: the "BSD 3-clause License"
# C/Xxh64.c: the "BSD 2-clause License"
# Some files are "public domain" files, if "public domain" status is stated in source file.
# the "GNU LGPL" for all other files. If there is no license information in 
# => this is LGPL-2.1-or-later from the text in that file
License:        LGPL-2.1-or-later AND BSD-3-Clause AND BSD-2-Clause AND LicenseRef-Fedora-Public-Domain
URL:            https://7-zip.org
# strip the source with strip-rar-support.sh
# Source:         https://github.com/ip7z/7zip/archive/%%{version}/%%{name}-%%{version}.tar.gz
Source:         %{name}-%{version}.tar.zst
Source:         strip-rar-support.sh

BuildRequires:  gcc-c++
BuildRequires:  make

Conflicts:      p7zip-plugins

%description
7-Zip is a file archiver with a high compression ratio. The main features
of 7-Zip are:

* High compression ratio in 7z format with LZMA and LZMA2 compression
* Supported formats:
  * Packing / unpacking: 7z, XZ, BZIP2, GZIP, TAR, ZIP and WIM
  * Unpacking only: AR, ARJ, CAB, CHM, CPIO, CramFS, DMG, EXT, FAT,
    GPT, HFS, IHEX, ISO, LZH, LZMA, MBR, MSI, NSIS, NTFS, QCOW2,
    RPM, SquashFS, UDF, UEFI, VDI, VHD, VMDK, WIM, XAR and Z.
* For ZIP and GZIP formats, 7-Zip provides a compression ratio that is
  2-10 % better than the ratio provided by PKZip and WinZip
* Strong AES-256 encryption in 7z and ZIP formats
* Powerful command line version


%prep
%autosetup -p1


%build
%make_build %make_opts


%install
install -Dpm 755 ./CPP/7zip/Bundles/Alone2/_o/7zz %{buildroot}%{_bindir}/7z


%files
%license DOC/License.txt DOC/copying.txt 
%doc DOC/readme.txt DOC/7zC.txt DOC/7zFormat.txt DOC/lzma.txt 
%{_bindir}/7z



%changelog
## START: Generated by rpmautospec
* Mon Apr 21 2025 John Doe <packager@example.com> - 24.09-1
- Uncommitted changes
## END: Generated by rpmautospec
